impala-reviews mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sailesh Mukil (Code Review)" <ger...@cloudera.org>
Subject [Impala-ASF-CR] IMPALA-5375: Builds on CentOS 6.4 failing with broken python dependencies
Date Fri, 26 May 2017 01:15:25 GMT
Sailesh Mukil has uploaded a new change for review.

  http://gerrit.cloudera.org:8080/6998

Change subject: IMPALA-5375: Builds on CentOS 6.4 failing with broken python dependencies
......................................................................

IMPALA-5375: Builds on CentOS 6.4 failing with broken python dependencies

Builds on CentOS 6.4 fail due to dependencies not met for the new
'cryptography' python package.

The ADLS commit states that the new packages are only required for ADLS
and that ADLS on a dev environment is only supported from CentOS 6.7.

This patch moves the compiled requirements for ADLS from
compiled-requirements.txt to adls-requirements.txt and passing a
compiler to the Pip environment while installing the ADLS
requirements.

Testing: Tested it on a machine that with TARGET_FILESYSTEM='adls'
and also tested it on a CentOS 6.4 machine with the default
configuration.

Change-Id: I7d456a861a85edfcad55236aa8b0dbac2ff6fc78
---
M infra/python/bootstrap_virtualenv.py
M infra/python/deps/adls-requirements.txt
M infra/python/deps/compiled-requirements.txt
3 files changed, 13 insertions(+), 11 deletions(-)


  git pull ssh://gerrit.cloudera.org:29418/Impala-ASF refs/changes/98/6998/1
-- 
To view, visit http://gerrit.cloudera.org:8080/6998
To unsubscribe, visit http://gerrit.cloudera.org:8080/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I7d456a861a85edfcad55236aa8b0dbac2ff6fc78
Gerrit-PatchSet: 1
Gerrit-Project: Impala-ASF
Gerrit-Branch: master
Gerrit-Owner: Sailesh Mukil <sailesh@cloudera.com>

Mime
View raw message